com.tibbo.aggregate.common.action.command

## Class ShowReport

- java.lang.Object
- - com.tibbo.aggregate.common.action.GenericActionCommand
  - - com.tibbo.aggregate.common.action.command.ShowReport

- All Implemented Interfaces:
    ActionCommand, java.lang.Cloneable

      public class ShowReport
      extends GenericActionCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CF_DASHBOARD`
    `static java.lang.String` | `CF_DASHBOARDS_HIERARCHY_INFO`
    `static java.lang.String` | `CF_FILE_NAME`
    `static java.lang.String` | `CF_KEY`
    `static java.lang.String` | `CF_LOCATION`
    `static java.lang.String` | `CF_REPORT_DATA`
    `static java.lang.String` | `CF_REPORT_FORMAT`
    `static TableFormat` | `CFT_SHOW_REPORT`

    - ### Fields inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `CF_COMPONENT_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShowReport()`
    `ShowReport(java.lang.String title, byte[] reportData, WindowLocation location, DashboardProperties dashboard)`
    `ShowReport(java.lang.String title, byte[] reportData, WindowLocation location, DashboardProperties dashboard, java.lang.String reportFormat, java.lang.String fileName)`
    `ShowReport(java.lang.String title, DataTable parameters)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DataTable` | `constructParameters()`
    `DashboardProperties` | `getDashboard()`
    `DashboardsHierarchyInfo` | `getDashboardsHierarchyInfo()`
    `java.lang.String` | `getFileName()`
    `java.lang.String` | `getKey()`
    `WindowLocation` | `getLocation()`
    `byte[]` | `getReportData()`
    `java.lang.String` | `getReportFormat()`
    `void` | `setDashboard(DashboardProperties dashboard)`
    `void` | `setDashboardsHierarchyInfo(DashboardsHierarchyInfo dhInfo)`
    `void` | `setFileName(java.lang.String fileName)`
    `void` | `setKey(java.lang.String key)`
    `void` | `setLocation(WindowLocation location)`
    `void` | `setReportData(byte[] reportData)`
    `void` | `setReportFormat(java.lang.String reportFormat)`

    - ### Methods inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `clone, createDefaultResponse, equals, getComponentLocation, getParameters, getRequestId, getResponseFormat, getTitle, getType, hashCode, isBatchEntry, isInteractive, isLast, isResponseValid, setBatchEntry, setComponentLocation, setComponentLocation, setInteractive, setLast, setParameters, setRequestId, setTitle, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CF_REPORT_DATA

          public static final java.lang.String CF_REPORT_DATA

      See Also:
        Constant Field Values

    - #### CF_LOCATION

          public static final java.lang.String CF_LOCATION

      See Also:
        Constant Field Values

    - #### CF_DASHBOARD

          public static final java.lang.String CF_DASHBOARD

      See Also:
        Constant Field Values

    - #### CF_KEY

          public static final java.lang.String CF_KEY

      See Also:
        Constant Field Values

    - #### CF_DASHBOARDS_HIERARCHY_INFO

          public static final java.lang.String CF_DASHBOARDS_HIERARCHY_INFO

      See Also:
        Constant Field Values

    - #### CF_REPORT_FORMAT

          public static final java.lang.String CF_REPORT_FORMAT

      See Also:
        Constant Field Values

    - #### CF_FILE_NAME

          public static final java.lang.String CF_FILE_NAME

      See Also:
        Constant Field Values

    - #### CFT_SHOW_REPORT

          public static final TableFormat CFT_SHOW_REPORT

  - ### Constructor Detail

    - #### ShowReport

          public ShowReport()

    - #### ShowReport

          public ShowReport(java.lang.String title,
                            byte[] reportData,
                            WindowLocation location,
                            DashboardProperties dashboard)

    - #### ShowReport

          public ShowReport(java.lang.String title,
                            byte[] reportData,
                            WindowLocation location,
                            DashboardProperties dashboard,
                            java.lang.String reportFormat,
                            java.lang.String fileName)

    - #### ShowReport

          public ShowReport(java.lang.String title,
                            DataTable parameters)

  - ### Method Detail

    - #### constructParameters

          protected DataTable constructParameters()

      Overrides:
        `constructParameters` in class `GenericActionCommand`

    - #### getReportData

          public byte[] getReportData()

    - #### setReportData

          public void setReportData(byte[] reportData)

    - #### getLocation

          public WindowLocation getLocation()

    - #### setLocation

          public void setLocation(WindowLocation location)

    - #### getDashboard

          public DashboardProperties getDashboard()

    - #### setDashboard

          public void setDashboard(DashboardProperties dashboard)

    - #### getKey

          public java.lang.String getKey()

    - #### setKey

          public void setKey(java.lang.String key)

    - #### getDashboardsHierarchyInfo

          public DashboardsHierarchyInfo getDashboardsHierarchyInfo()

    - #### setDashboardsHierarchyInfo

          public void setDashboardsHierarchyInfo(DashboardsHierarchyInfo dhInfo)

    - #### getReportFormat

          public java.lang.String getReportFormat()

    - #### setReportFormat

          public void setReportFormat(java.lang.String reportFormat)

    - #### getFileName

          public java.lang.String getFileName()

    - #### setFileName

          public void setFileName(java.lang.String fileName)